DBT (JNA API)

com.sun.jna.platform.win32

## Interface DBT

-     public interface DBT

  Based on dbt.h (various types)
  Author:
    Tobias Wolf, wolf.tobias@gmx.net

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `DBT.DEV_BROADCAST_DEVICEINTERFACE` The Class DEV_BROADCAST_DEVICEINTERFACE.
    `static class` | `DBT.DEV_BROADCAST_DEVNODE` The Class DEV_BROADCAST_DEVNODE.
    `static class` | `DBT.DEV_BROADCAST_HANDLE` The Class DEV_BROADCAST_HANDLE.
    `static class` | `DBT.DEV_BROADCAST_HDR` The Class DEV_BROADCAST_HDR.
    `static class` | `DBT.DEV_BROADCAST_NET` The Class DEV_BROADCAST_NET.
    `static class` | `DBT.DEV_BROADCAST_OEM` The Class DEV_BROADCAST_OEM.
    `static class` | `DBT.DEV_BROADCAST_PORT` The Class DEV_BROADCAST_PORT.
    `static class` | `DBT.DEV_BROADCAST_VOLUME` The Class DEV_BROADCAST_VOLUME.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DBT_CONFIGMGPRIVATE` The dbt configmgprivate.
    `static int` | `DBT_CUSTOMEVENT` The dbt customevent.
    `static int` | `DBT_DEVICEARRIVAL` The dbt devicearrival.
    `static int` | `DBT_DEVICEQUERYREMOVE` The dbt devicequeryremove.
    `static int` | `DBT_DEVICEQUERYREMOVEFAILED` The dbt devicequeryremovefailed.
    `static int` | `DBT_DEVICEREMOVECOMPLETE` The dbt deviceremovecomplete.
    `static int` | `DBT_DEVICEREMOVEPENDING` The dbt deviceremovepending.
    `static int` | `DBT_DEVICETYPESPECIFIC` The dbt devicetypespecific.
    `static int` | `DBT_DEVNODES_CHANGED` A device has been added to or removed from the system.
    `static int` | `DBT_DEVTYP_DEVICEINTERFACE` The dbt devtyp deviceinterface.
    `static int` | `DBT_DEVTYP_DEVNODE` The dbt devtyp devnode.
    `static int` | `DBT_DEVTYP_HANDLE` The dbt devtyp handle.
    `static int` | `DBT_DEVTYP_NET` The dbt devtyp net.
    `static int` | `DBT_DEVTYP_OEM` The dbt devtyp oem.
    `static int` | `DBT_DEVTYP_PORT` The dbt devtyp port.
    `static int` | `DBT_DEVTYP_VOLUME` The dbt devtyp volume.
    `static int` | `DBT_LOW_DISK_SPACE` The dbt low disk space.
    `static int` | `DBT_NO_DISK_SPACE` The dbt no disk space.
    `static int` | `DBTF_MEDIA` The dbt change affects media in drive, not physical device or drive.
    `static int` | `DBTF_NET` The dbt indicated logical volume is a network volume.
    `static Guid.GUID` | `GUID_DEVINTERFACE_HID` The guid devinterface hid.
    `static Guid.GUID` | `GUID_DEVINTERFACE_KEYBOARD` The guid devinterface keyboard.
    `static Guid.GUID` | `GUID_DEVINTERFACE_MOUSE` The guid devinterface mouse.
    `static Guid.GUID` | `GUID_DEVINTERFACE_USB_DEVICE` The guid devinterface usb device.
    `static Guid.GUID` | `GUID_DEVINTERFACE_VOLUME` The guid devinterface volume.

- - ### Field Detail

    - #### DBT_NO_DISK_SPACE

          static final int DBT_NO_DISK_SPACE

      The dbt no disk space.
      See Also:
        Constant Field Values

    - #### DBT_LOW_DISK_SPACE

          static final int DBT_LOW_DISK_SPACE

      The dbt low disk space.
      See Also:
        Constant Field Values

    - #### DBT_CONFIGMGPRIVATE

          static final int DBT_CONFIGMGPRIVATE

      The dbt configmgprivate.
      See Also:
        Constant Field Values

    - #### DBT_DEVICEARRIVAL

          static final int DBT_DEVICEARRIVAL

      The dbt devicearrival.
      See Also:
        Constant Field Values

    - #### DBT_DEVICEQUERYREMOVE

          static final int DBT_DEVICEQUERYREMOVE

      The dbt devicequeryremove.
      See Also:
        Constant Field Values

    - #### DBT_DEVICEQUERYREMOVEFAILED

          static final int DBT_DEVICEQUERYREMOVEFAILED

      The dbt devicequeryremovefailed.
      See Also:
        Constant Field Values

    - #### DBT_DEVICEREMOVEPENDING

          static final int DBT_DEVICEREMOVEPENDING

      The dbt deviceremovepending.
      See Also:
        Constant Field Values

    - #### DBT_DEVICEREMOVECOMPLETE

          static final int DBT_DEVICEREMOVECOMPLETE

      The dbt deviceremovecomplete.
      See Also:
        Constant Field Values

    - #### DBT_DEVNODES_CHANGED

          static final int DBT_DEVNODES_CHANGED

      A device has been added to or removed from the system.
      See Also:
        Constant Field Values

    - #### DBT_DEVICETYPESPECIFIC

          static final int DBT_DEVICETYPESPECIFIC

      The dbt devicetypespecific.
      See Also:
        Constant Field Values

    - #### DBT_CUSTOMEVENT

          static final int DBT_CUSTOMEVENT

      The dbt customevent.
      See Also:
        Constant Field Values

    - #### GUID_DEVINTERFACE_USB_DEVICE

          static final Guid.GUID GUID_DEVINTERFACE_USB_DEVICE

      The guid devinterface usb device.

    - #### GUID_DEVINTERFACE_HID

          static final Guid.GUID GUID_DEVINTERFACE_HID

      The guid devinterface hid.

    - #### GUID_DEVINTERFACE_VOLUME

          static final Guid.GUID GUID_DEVINTERFACE_VOLUME

      The guid devinterface volume.

    - #### GUID_DEVINTERFACE_KEYBOARD

          static final Guid.GUID GUID_DEVINTERFACE_KEYBOARD

      The guid devinterface keyboard.

    - #### GUID_DEVINTERFACE_MOUSE

          static final Guid.GUID GUID_DEVINTERFACE_MOUSE

      The guid devinterface mouse.

    - #### DBT_DEVTYP_OEM

          static final int DBT_DEVTYP_OEM

      The dbt devtyp oem.
      See Also:
        Constant Field Values

    - #### DBT_DEVTYP_DEVNODE

          static final int DBT_DEVTYP_DEVNODE

      The dbt devtyp devnode.
      See Also:
        Constant Field Values

    - #### DBT_DEVTYP_VOLUME

          static final int DBT_DEVTYP_VOLUME

      The dbt devtyp volume.
      See Also:
        Constant Field Values

    - #### DBT_DEVTYP_PORT

          static final int DBT_DEVTYP_PORT

      The dbt devtyp port.
      See Also:
        Constant Field Values

    - #### DBT_DEVTYP_NET

          static final int DBT_DEVTYP_NET

      The dbt devtyp net.
      See Also:
        Constant Field Values

    - #### DBT_DEVTYP_DEVICEINTERFACE

          static final int DBT_DEVTYP_DEVICEINTERFACE

      The dbt devtyp deviceinterface.
      See Also:
        Constant Field Values

    - #### DBT_DEVTYP_HANDLE

          static final int DBT_DEVTYP_HANDLE

      The dbt devtyp handle.
      See Also:
        Constant Field Values

    - #### DBTF_MEDIA

          static final int DBTF_MEDIA

      The dbt change affects media in drive, not physical device or drive.
      See Also:
        Constant Field Values

    - #### DBTF_NET

          static final int DBTF_NET

      The dbt indicated logical volume is a network volume.
      See Also:
        Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.